package com.goldenwater.slaj.hazard.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hazard.mapper.TBusiRiskThresholdMapper;
import com.goldenwater.slaj.hazard.domain.TBusiRiskThreshold;
import com.goldenwater.slaj.hazard.service.ITBusiRiskThresholdService;

/**
 * 风险阈值 服务层实现
 */
@Service
public class TBusiRiskThresholdServiceImpl implements ITBusiRiskThresholdService {

    @Autowired
    private TBusiRiskThresholdMapper tBusiRiskThresholdMapper;

    @Override
    public TBusiRiskThreshold selectTBusiRiskThresholdByGuid(String guid) {
        return tBusiRiskThresholdMapper.selectTBusiRiskThresholdByGuid(guid);
    }

    @Override
    public List<TBusiRiskThreshold> selectTBusiRiskThresholdList(TBusiRiskThreshold tBusiRiskThreshold) {
        return tBusiRiskThresholdMapper.selectTBusiRiskThresholdList(tBusiRiskThreshold);
    }

    @Override
    public int insertTBusiRiskThreshold(TBusiRiskThreshold tBusiRiskThreshold) {
        return tBusiRiskThresholdMapper.insertTBusiRiskThreshold(tBusiRiskThreshold);
    }

    @Override
    public int updateTBusiRiskThreshold(TBusiRiskThreshold tBusiRiskThreshold) {
        return tBusiRiskThresholdMapper.updateTBusiRiskThreshold(tBusiRiskThreshold);
    }

    @Override
    public int deleteTBusiRiskThresholdByGuid(String guid) {
        return tBusiRiskThresholdMapper.deleteTBusiRiskThresholdByGuid(guid);
    }

    @Override
    public int deleteTBusiRiskThresholdByGuids(String[] guids) {
        return tBusiRiskThresholdMapper.deleteTBusiRiskThresholdByGuids(guids);
    }
}
